﻿<!-- BEGIN PAGE HEADER-->
<h3 class="page-title">
    Role  permission
    <!--<small>Permission template</small>-->
</h3>

<!-- END PAGE HEADER-->
<!-- BEGIN MAIN CONTENT -->
<div class="row">
    <div class="col-md-12">
        <!-- BEGIN: ACCORDION DEMO -->

        <div class="tab-pane" id="tab_1">
            <div class="portlet box blue">
                <div class="portlet-title">
                    <div class="caption">
                        <i class="fa fa-gift"></i><!--Form Permission-->
                    </div>
                    <div class="tools">
                        <a href="javascript:;" class="collapse"> </a>
                        <a href="#portlet-config" data-toggle="modal" class="config"> </a>
                        <a href="javascript:;" class="reload"> </a>
                        <a href="javascript:;" class="remove"> </a>
                    </div>
                </div>
                <div class="portlet-body form">


                    <!-- BEGIN FORM-->
                    <form action="#" class="horizontal-form">
                        
                        <div class="form-body">
                            <div class="form-group" ng-class="validation.Name ? 'has-error' : ''">
                                <label class="control-label">Role Name</label>
                                <input type="text" class="form-control" placeholder="" ng-model="dataRole.Name">
                                <span class="help-block">{{validation.Name}}</span>
                            </div>
                            <div ng-repeat="x in dataRole.Permissions">
                                <!--<h3 class="form-section"></h3>-->
                                <div class="row">
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="control-label">{{x.Title}}</label>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <select class="form-control" data-placeholder="Choose a Category" ng-show="x.AccessLevelRequire" ng-disabled="!x.Checked" ng-model="x.AccessLevel" tabindex="1">
                                                <option ng-value="1" ng-selected="x.AccessLevel == 1">Yes</option>
                                                <option ng-value="2" ng-selected="x.AccessLevel == 2">Some / Special</option>
                                                <option ng-value="3" ng-selected="x.AccessLevel == 3">Some</option>
                                                <option ng-value="4" ng-selected="x.AccessLevel == 4">Yes / Some</option>
                                                <option ng-value="5" ng-selected="x.AccessLevel == 5">No</option>
                                                <option ng-value="6" ng-selected="x.AccessLevel == 6">Special</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <!--<label class="control-label">Membership</label>-->
                                            <div class="mt-checkbox-inline">
                                                <label class="mt-checkbox">
                                                    <input type="checkbox" id="inlineCheckbox1" ng-model="x.Checked">Access
                                                    <span></span>
                                                </label>

                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-actions right">
                            <button type="button" class="btn default">Cancel</button>
                            <button type="button" class="btn blue"  ng-click="roleServiceUpdate(dataRole)">
                                <i class="fa fa-check"></i> Save
                            </button>
                        </div>

                    </form>
                    <!-- END FORM-->

                </div>
            </div>
        </div>
    </div>
</div>
<!-- END MAIN CONTENT -->
<!-- BEGIN MAIN JS-->
<script>
    // call any jquery or angularjs code ehre
</script>
<!-- BEGIN MAIN JS -->